Bug 159437 - Facebook videos without audio tracks will sometimes cause playback controls to appear.
Summary: Facebook videos without audio tracks will sometimes cause playback controls t...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jer Noble
URL:
Keywords: InRadar
Depends on:
Blocks: 159496
  Show dependency treegraph
 
Reported: 2016-07-05 15:26 PDT by Jer Noble
Modified: 2016-07-12 14:35 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.82 KB, patch)
2016-07-05 15:44 PDT, Jer Noble
eric.carlson: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jer Noble 2016-07-05 15:26:02 PDT
Facebook videos without audio tracks will sometimes cause playback controls to appear.
Comment 1 Jer Noble 2016-07-05 15:44:58 PDT
Created attachment 282818 [details]
Patch
Comment 2 Jer Noble 2016-07-05 15:46:27 PDT
<rdar://problem/27114174>
Comment 3 Eric Carlson 2016-07-06 08:24:10 PDT
Comment on attachment 282818 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=282818&action=review

> Source/WebCore/html/HTMLMediaElement.cpp:7119
> +    if (!m_updatePlaybackControlsManagerQueue.hasPendingTasks())
> +        m_updatePlaybackControlsManagerQueue.enqueueTask(std::bind(&HTMLMediaElement::updatePlaybackControlsManager, this));

Why do we need yet another GenericTaskQueue member variable, couldn't you give m_pauseAfterDetachedTaskQueue a more generic name (e.g. m_deferredTaskQueue?) and use it? 

If not, don't you need to call m_updatePlaybackControlsManagerQueue.close() in contextDestroyed and in the destructor?
Comment 4 Jer Noble 2016-07-07 11:01:30 PDT
Committed r202918: <http://trac.webkit.org/changeset/202918>